Print["Mathematica:",$VersionNumber];

digArr={20,30,40,50,60,70,80,90,100,125,158,199,251,316,398,501,630,794,
  1000,1258,1584,1995,2511,3162,3981,5011,6309,7943,10000,17782,31622,56234,100000};

For [i=1,i <= Length[digArr],i++,
  prec=digArr[[i]];
  n=IntegerPart[N[2^24/(prec^1.5),10]]; 
  n=Max[n,3];
  (*Print["n=",n];*);
  x=N[Sqrt[3]-1,prec];
  y=N[Sqrt[5],prec];
  
  While [True, 
	t=(Timing[Do[Log[x],{n}]][[1]]-Timing[Do[Null,{n}]][[1]]);
    (* convert to ms *)
    t *= 1000; 
    (*Print["t=",t];    *)
    If [t>=1000.0, Break[]];
    n*=2;
  ]
  Print[prec,":took ",t/n, " ms (", n, " eval in ", t, "ms)" ];
]
